std::discrete_distribution< _IntType >::param_type Struct Reference

## Public Types

typedef discrete_distribution < _IntType > | distribution_type

## Public Member Functions

template<typename _InputIterator >
| param_type (_InputIterator __wbegin, _InputIterator __wend)
| param_type (initializer_list< double > __wil)
template<typename _Func >
| param_type (size_t __nw, double __xmin, double __xmax, _Func __fw)
| param_type (const param_type &)=default
param_type & | operator= (const param_type &)=default
std::vector< double > | probabilities () const

## Friends

class | discrete_distribution< _IntType >
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

### template<typename _IntType = int>
struct std::discrete_distribution< _IntType >::param_type

Parameter type.

Definition at line 5260 of file random.h.

The documentation for this struct was generated from the following files:

- random.h
- bits/random.tcc